View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000091OpenFOAM[All Projects] Bugpublic2010-11-25 16:222010-12-16 10:14
Reporterdhora 
Assigned Tomattijs 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinuxOSOtherOS Version(please specify)
Product Version1.7.x 
Target VersionFixed in Version 
Summary0000091: Wrong wall distance in conjunction with cyclic patches
DescriptionThe wall distance is sometimes not calculated correctly when cyclic patches are present in OpenFOAM 1.7.x (and 1.5-dev). I will describe it for 1.5-dev as the definable rotationaAngle in 1.5-dev could help to find the root of the problem.

I could reproduce this problem on several similar meshes but unfortunately not with a simple mesh generated with blockMesh. The geometry is the inlet section (straight pipe) of a case with rotational periodicity, in this case 360°/7. I converted the mesh with fluentMeshToFoam from a fluent mesh file. It doesn't help to use fluent3DMeshTofoam. checkMesh doesn't report any problem. The settings of the cyclic patch are:

PERIODIC
{
type cyclic;
nFaces 3120;
startFace 236890;
featureCos 0.9;
transform rotational;
rotationCentre (0 0 0);
rotationAxis (0 0 1);
rotationAngle -51.42857;
}

This setup gives a "correct" Urel, k, omega and pressure but the wall distance is wrong. OpenFOAM-1.7.x, 1.6.x and 1.5-dev produce the same results.

If the rotationAngle is changed to 51.42857, the simulation does not converge due to the wrong transformation of the velocity vectors at the cyclic patches. The big surprise is that the wall distance seems to be correct in this case.
Steps To ReproduceCalculate wall distance with yPlusRAS for the attached case.
TagsNo tags attached.
Attached Files

- Relationships
has duplicate 0000092resolvedmattijs Wrong wall distance in conjunction with cyclic patches 

-  Notes
(0000142)
dhora (reporter)
2010-11-26 10:05

Couldn't upload case due to APPLICATION ERROR #401 ???
(0000143)
mattijs (manager)
2010-11-26 14:40

We were just updating the Mantis site so that might have caused your upload problem. We'll check.

Can repeat your problem with the transformations. Need to check all before pushing a fix.
(0000148)
mattijs (manager)
2010-12-01 10:56

I've pushed a fix to 17x (9d7fa9f3e0d8972ad0c5d31190d939a4556503b4).

We hadn't noticed this bug since usually testing with symmetric geometries.

Many thanks,

Mattijs

- Issue History
Date Modified Username Field Change
2010-11-25 16:22 dhora New Issue
2010-11-26 10:05 dhora Note Added: 0000142
2010-11-26 14:40 mattijs Note Added: 0000143
2010-12-01 10:56 mattijs Note Added: 0000148
2010-12-08 12:49 mattijs Relationship added has duplicate 0000092
2010-12-16 10:14 andy Status new => closed
2010-12-16 10:14 andy Assigned To => mattijs
2010-12-16 10:14 andy Resolution open => fixed